using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;

namespace HelloServiceBusLibrary
{
    [ServiceContract]
    public interface IHelloServiceBus
    {
        [OperationContract]
        string SayHello(string name);
    }

    public class HelloServiceBusService : IHelloServiceBus
    {
        public string SayHello(string name)
        {
            string greeting = string.Format("Hello {0}!", name);
            Console.WriteLine("Returning: {0}", greeting);
            return greeting;
        }
    }
}
